ArgumentError not an octal string when upgrading Docker Manager

Hey Team,
I’m experiencing the following error when trying to upgrade:

Done compressing docker-manager-vendor-c41baac7c7345041ef82770ee34a10515be97e82cf6bde7070433b3c88490c4f.js : 3.13 secs
rake aborted! ArgumentError: "\x80\x00\x00\x00v\xB2Z\x9E" is not an octal string 
/var/www/discourse/lib/discourse_ip_info.rb:39:in `mmdb_download' /var/www/discourse/lib/tasks/assets.rake:158:in `block (2 levels) in <top (required)>'

Tasks: TOP => assets:precompile (See full trace by running task with --trace)
Docker Manager: FAILED TO UPGRADE #<RuntimeError: RuntimeError> /var/www/discourse/plugins/docker_manager/lib/docker_manager/upgrader.rb:157:in `run' 
5 Likes

We had a lot of changes recently to stabilize this geoip database update. Can you please try a rebuild?

3 Likes

Thanks. Rebuild worked

2 Likes